<template>
  <div class="box mt-5">
    <h2 class="titie is-2 has-text-centered">気に入った用語があれば登録しよう！
      <button class="button is-primary is-rounded is-small" @click="toggleDisplay">{{isToRegister}}</button>
    </h2>
    <hr v-if="isToRegister !== '+'" />
    <RegisterCard v-if="isToRegister !== '+'" :move-on-finish="false" /> 
  </div>
</template>

<script setup lang="ts">
import RegisterCard from '../Storm/RegisterCard.vue';
const isToRegister = ref("+")
const toggleDisplay = () => {
  isToRegister.value = isToRegister.value=== "+" ? "☓" : "+"
}
</script>
